#include <stdio.h>
#include <stdlib.h>

typedef struct Bananica{
    int N;
    int M;
    int K;
}banana;
int main()
{
    int T;
    int i;
    scanf("%d", &T);
    banana a[T];
    for(i=0;i<T;i++)
    {
        scanf("%d",&a[i].N);
        scanf("%d",&a[i].M);
        scanf("%d",&a[i].K);
    }
    for(i=0;i<T;i++)
    {
        if(a[i].K==1)
        {
            //n/2(a1+an)
            double s=(a[i].N/2.0)*(1+a[i].N);
            if(a[i].M<s)
                printf("Nie\n");
            else
                printf("Tak\n");
        }
        else{
            a[i].N=a[i].N/a[i].K;

            double s=(a[i].N/2.0)*(1+a[i].N);
            if(a[i].M<s)
                printf("Nie\n");
            else
                printf("Tak\n");
        }



    }

    return 0;
}